package cn.com.qmth.examcloud.core.basic.api.client;

import cn.com.qmth.examcloud.core.basic.api.UserDataRuleCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.request.CheckUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.request.QueryUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserDataRuleResp;
import cn.com.qmth.examcloud.core.basic.api.response.CheckUserDataRuleResp;
import cn.com.qmth.examcloud.core.basic.api.response.QueryUserDataRuleResp;
import org.springframework.stereotype.Service;

@Service
public class UserDataRuleCloudServiceClient extends AbstractCloudClientSupport implements UserDataRuleCloudService {

    private static final long serialVersionUID = 1L;

    @Override
    public QueryUserDataRuleResp queryUserDataRule(QueryUserDataRuleReq req) {
        return post("user/data/rule/query", req, QueryUserDataRuleResp.class);
    }

    @Override
    public CheckUserDataRuleResp checkUserDataRule(CheckUserDataRuleReq req) {
        return post("user/data/rule/check", req, CheckUserDataRuleResp.class);
    }

    @Override
    public AddUserDataRuleResp addUserDataRule(AddUserDataRuleReq req) {
        return post("user/data/rule/add", req, AddUserDataRuleResp.class);
    }

}
